Hello, I am using the AdWords API and I am having a problem making the 
first call to test the API. I attach all the errors that the Python console 
shows me.
Thanks in advance

WARNING:googleads.common:Your default encoding, cp1252, is not UTF-8. 
Please run this script with UTF-8 encoding to avoid errors.
DEBUG:suds.transport.http:opening 
(https://adwords.google.com/api/adwords/cm/v201710/CampaignService?wsdl)
INFO:oauth2client.client:Refreshing access_token
INFO:googleads.common:Request summary - {'methodName': get}
DEBUG:suds.transport.http:sending:
URL: https://adwords.google.com/api/adwords/cm/v201710/CampaignService
HEADERS: {'Content-Type': 'text/xml; charset=utf-8', 'SOAPAction': b'""', 
'Authorization': 'REDACTED', 'Content-type': 'text/xml; charset=utf-8', 
'Soapaction': b'""'}
MESSAGE:
<?xml version="1.0" encoding="UTF-8"?><SOAP-ENV:Envelope 
xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"; 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"; 
xmlns:tns="https://adwords.google.com/api/adwords/cm/v201710"; 
xmlns:ns0="https://adwords.google.com/api/adwords/cm/v201710"; 
xmlns:ns1="http://schemas.xmlsoap.org/soap/envelope/";><SOAP-ENV:Header><tns:RequestHeader><tns:developerToken>REDACTED</tns:developerToken><tns:userAgent>unknown
 
(AwApi-Python, googleads/9.0.0, 
Python/3.6.2)</tns:userAgent><tns:validateOnly>false</tns:validateOnly><tns:partialFailure>false</tns:partialFailure></tns:RequestHeader></SOAP-ENV:Header><ns1:Body><ns0:get><ns0:serviceSelector><ns0:fields>Id</ns0:fields><ns0:fields>Name</ns0:fields><ns0:fields>Status</ns0:fields><ns0:paging><ns0:startIndex>0</ns0:startIndex><ns0:numberResults>100</ns0:numberResults></ns0:paging></ns0:serviceSelector></ns0:get></ns1:Body></SOAP-ENV:Envelope>
INFO:googleads.common:Response summary - {'requestId': 
000564b2ccae23910a371b93d20004e5, 'responseTime': 32, 'serviceName': 
CampaignService, 'methodName': get, 'operations': 1, 'isFault': True, 
'faultMessage': "[AuthenticationError.CLIENT_CUSTOMER_ID_IS_REQUIRED @ ; 
trigger:'<null>']"}
ERROR:suds.client:<suds.sax.document.Document object at 0x065FEA70>
WARNING:googleads.common:Response summary - {'requestId': 
000564b2ccae23910a371b93d20004e5, 'responseTime': 32, 'serviceName': 
CampaignService, 'methodName': get, 'operations': 1, 'isFault': True, 
'faultMessage': "[AuthenticationError.CLIENT_CUSTOMER_ID_IS_REQUIRED @ ; 
trigger:'<null>']"}
INFO:googleads.common:SOAP response:
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/";>
   <soap:Header>
      <ResponseHeader 
xmlns="https://adwords.google.com/api/adwords/cm/v201710";>
         <requestId>000564b2ccae23910a371b93d20004e5</requestId>
         <serviceName>CampaignService</serviceName>
         <methodName>get</methodName>
         <operations>1</operations>
         <responseTime>32</responseTime>
      </ResponseHeader>
   </soap:Header>
   <soap:Body>
      <soap:Fault>
         <faultcode>soap:Client</faultcode>
         <faultstring>[AuthenticationError.CLIENT_CUSTOMER_ID_IS_REQUIRED @ 
; trigger:&apos;&lt;null&gt;&apos;]</faultstring>
         <detail>
            <ApiExceptionFault 
xmlns="https://adwords.google.com/api/adwords/cm/v201710";>
               <message>[AuthenticationError.CLIENT_CUSTOMER_ID_IS_REQUIRED 
@ ; trigger:&apos;&lt;null&gt;&apos;]</message>
              
 <ApplicationException.Type>ApiException</ApplicationException.Type>
               <errors 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"; 
xsi:type="AuthenticationError">
                  <fieldPath/>
                  <trigger>&lt;null&gt;</trigger>
                  
<errorString>AuthenticationError.CLIENT_CUSTOMER_ID_IS_REQUIRED</errorString>
                  <ApiError.Type>AuthenticationError</ApiError.Type>
                  <reason>CLIENT_CUSTOMER_ID_IS_REQUIRED</reason>
               </errors>
            </ApiExceptionFault>
         </detail>
      </soap:Fault>
   </soap:Body>
</soap:Envelope>
Traceback (most recent call last):
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\site-packages\googleads\util.py",
 
line 123, in PatchedHttpTransportSend
    fp = self.u2open(u2request)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\site-packages\suds\transport\http.py",
 
line 132, in u2open
    return url.open(u2request, timeout=tm)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\urllib\request.py",
 
line 532, in open
    response = meth(req, response)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\urllib\request.py",
 
line 642, in http_response
    'http', request, response, code, msg, hdrs)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\urllib\request.py",
 
line 570, in error
    return self._call_chain(*args)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\urllib\request.py",
 
line 504, in _call_chain
    result = func(*args)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\urllib\request.py",
 
line 650, in http_error_default
    raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 500: Internal Server Error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\site-packages\suds\client.py",
 
line 613, in send
    reply = self.options.transport.send(request)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\site-packages\googleads\util.py",
 
line 134, in PatchedHttpTransportSend
    raise suds.transport.TransportError(e.msg, e.code, e.fp)
suds.transport.TransportError: Internal Server Error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:/Users/Lucia/AdWords API/get_campaign.py", line 71, in <module>
    main(adwords_client)
  File "C:/Users/Lucia/AdWords API/get_campaign.py", line 53, in main
    page = campaign_service.get(selector)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\site-packages\googleads\common.py",
 
line 767, in MakeSoapRequest
    self._packer) for arg in args])
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\site-packages\suds\client.py",
 
line 521, in __call__
    return client.invoke(args, kwargs)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\site-packages\suds\client.py",
 
line 581, in invoke
    result = self.send(soapenv)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\site-packages\suds\client.py",
 
line 619, in send
    description=tostr(e), original_soapenv=original_soapenv)
  File 
"C:\Users\Lucia\AppData\Local\Programs\Python\Python36-32\lib\site-packages\suds\client.py",
 
line 670, in process_reply
    raise WebFault(fault, replyroot)
suds.WebFault: Server raised fault: 
'[AuthenticationError.CLIENT_CUSTOMER_ID_IS_REQUIRED @ ; trigger:'<null>']'

Process finished with exit code 1


-- 
-- 
=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~
Also find us on our blog and Google+:
https://googleadsdeveloper.blogspot.com/
https://plus.google.com/+GoogleAdsDevelopers/posts
=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~

You received this message because you are subscribed to the Google
Groups "AdWords API Forum" group.
To post to this group, send email to adwords-api@googlegroups.com
To unsubscribe from this group, send email to
adwords-api+unsubscr...@googlegroups.com
For more options, visit this group at
http://groups.google.com/group/adwords-api?hl=en
--- 
You received this message because you are subscribed to the Google Groups 
"AdWords API Forum" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to adwords-api+unsubscr...@googlegroups.com.
Visit this group at https://groups.google.com/group/adwords-api.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/adwords-api/90bfae48-4c24-4c0c-a040-898542f7dd62%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
  • Error API Fi... santiagoruffino
    • Re: Err... 'Dhanya Sundararaju (AdWords API Team)' via AdWords API Forum
      • Re:... santiagoruffino
        • ... 'Dhanya Sundararaju (AdWords API Team)' via AdWords API Forum
          • ... santiagoruffino
            • ... 'Dhanya Sundararaju (AdWords API Team)' via AdWords API Forum
              • ... 'Dhanya Sundararaju (AdWords API Team)' via AdWords API Forum
                • ... santiagoruffino
                • ... 'Dhanya Sundararaju (AdWords API Team)' via AdWords API Forum
                • ... santiagoruffino
                • ... santiagoruffino

Reply via email to